Subject: Re: bug#22377: 25.0.50; Issues involving desktop.el
From: Stephen Berman <[email-masked]>
To: [email-masked]
Date: Thu, 21 Jan 2016 11:27:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, 15 Jan 2016 15:29:44 +0100 Stephen Berman <[email-masked]> wrote:

> 0. Make sure there is no .emacs.desktop file that will be found by
>    desktop-read.
> 1. emacs -Q
> 2. M-x todo-show to visit an existing Todo file or create a new one.
> 3. M-x desktop-save, use defaults.
> 4. C-x C-c
> 5. emacs -Q
> 6. M-x desktop-read
> => The Todo file is displayed in Todo mode but is not narrowed to the
>    current category as it should be, and the echo area displays this
>    message: "Desktop: 1 frame, 0 buffers restored, 1 failed to restore."
[...]
> The patch below fixes the display issues and the erroneous message in
> todo-mode and doc-view.  Although I maintain only the former code, I'm
> pretty sure the fix is appropriate for the latter as well, so if there
> are no objections to the patch within a few days or so, I'll commit it
> to emacs-25.  (I'll leave the desktop-buffer-mode-handlers doc string
> issue to someone more familiar with that library.)

Done in commit 7bc7fd6058a28cdf7da672dc625c6d3f2e50aa1b and bug closed.